defmodule Gh2ntfy.LastPoll do
  use Agent

  def child_spec([]) do
    %{
      id: __MODULE__,
      start: {__MODULE__, :start_link, []}
    }
  end

  def start_link do
    Agent.start_link(fn -> ~U[2000-01-01 00:00:00Z] end, name: __MODULE__)
  end

  def get_as_iso8601 do
    Agent.get(__MODULE__, &DateTime.to_iso8601/1)
  end

  def set_now do
    Agent.update(__MODULE__, fn _ -> DateTime.now!("Etc/UTC") end)
  end
end
