defmodule Gh2ntfy.Application do
  use Application

  def start(_type, _args) do
    children = [
      {Finch, name: Gh2ntfy.Finch},
      {Gh2ntfy.Ntfyer, Application.fetch_env!(:gh2ntfy, :topic)},
      {Gh2ntfy.GhPoll, Application.fetch_env!(:gh2ntfy, :token)},
      Gh2ntfy.LastPoll
    ]

    opts = [strategy: :one_for_one, name: Gh2ntfy.Supervisor]

    {:ok, _} = Supervisor.start_link(children, opts)
  end
end
