defmodule Gh2ntfy.MixProject do
  use Mix.Project

  def project do
    [
      app: :gh2ntfy,
      version: "0.1.0",
      elixir: "~> 1.14",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      releases: [
        gh2ntfy: [
          include_erts: false
        ]
      ]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger],
      mod: {Gh2ntfy.Application, []}
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:finch, "~> 0.14.0"},
      {:jiffy, "~> 1.1"}
    ]
  end
end
